123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131 |
- #!/bin/sh
- APPNAME=chromium
- LIBDIR=/usr/lib/chromium
- GDB=/usr/bin/gdb
- GNOME_DESKTOP_SESSION_ID="this-is-deprecated"
- export GNOME_DESKTOP_SESSION_ID
- usage () {
- echo "$APPNAME [-h|--help] [-g|--debug] [options] [URL]"
- echo
- echo " -g or --debug Start within $GDB"
- echo " -h or --help This help screen"
- }
- if [ "Z$LD_LIBRARY_PATH" != Z ] ; then
- LD_LIBRARY_PATH=$LIBDIR:$LD_LIBRARY_PATH
- else
- LD_LIBRARY_PATH=$LIBDIR
- fi
- export LD_LIBRARY_PATH
- PATH=$PATH:$LIBDIR
- export PATH
- want_debug=0
- while [ $# -gt 0 ]; do
- case "$1" in
- -h | --help | -help )
- usage
- exit 0 ;;
- -g | --debug )
- want_debug=1
- shift ;;
- -- )
- shift
- break ;;
- * )
- break ;;
- esac
- done
- if [ ! -d ~/.config/chromium/Default ]; then
- mkdir -p ~/.config/chromium/Default
- cat <<EOF > ~/.config/chromium/Default/Preferences
- {
- "browser": {
- "custom_chrome_frame": false
- },
- "extensions": {
- "theme": {
- "colors": {
- },
- "id": "",
- "images": {
- },
- "properties": {
- },
- "tints": {
- },
- "use_system": true
- }
- },
- "homepage": "http://meego.com/",
- "homepage_is_newtabpage": false,
- "session": {
- "restore_on_startup": 1
- },
- "webkit": {
- "webprefs": {
- "default_fixed_font_size": 13,
- "default_font_size": 16,
- "fixed_font_family": "Droid Sans Mono",
- "sansserif_font_family": "Droid Sans",
- "serif_font_family": "Droid Serif"
- }
- }
- }
- EOF
-
- $LIBDIR/xdg-settings set default-web-browser chromium-browser.desktop
- fi
- if [ $want_debug -eq 1 ] ; then
- if [ ! -x $GDB ] ; then
- echo "Sorry, can't find usable $GDB. Please install it."
- exit 1
- fi
- tmpfile=`mktemp /tmp/chromiumargs.XXXXXX` || { echo "Cannot create temporary file" >&2; exit 1; }
- trap " [ -f \"$tmpfile\" ] && /bin/rm -f -- \"$tmpfile\"" 0 1 2 3 13 15
- echo "set args ${1+"$@"}" > $tmpfile
- echo "# Env:"
- echo "# LD_LIBRARY_PATH=$LD_LIBRARY_PATH"
- echo "$GDB $LIBDIR/$APPNAME -x $tmpfile"
- $GDB "$LIBDIR/$APPNAME" -x $tmpfile
- exit $?
- else
- exec $LIBDIR/$APPNAME "--password-store=detect" "--enable-experimental-extension-apis" "--enable-plugins" "--enable-extensions" "--enable-user-scripts" "--enable-printing" "--enable-sync" "--auto-ssl-client-auth" "$@"
- fi
|